# v1.2.x to v1.3.x

With v1.3.0 all our code has been completely redesigned and rewriten.
While we tried to minimize the effects on the user, there are some consequences.

Please read this document completely before migrating.
We are **NOT** responsible if you ignore anything from this document.

### Plugin backend
With v1.3.0 we started to use plugins as a backend for jailman.
Besides the plugins now being visable in the TrueNAS UI and the renaming of "blueprints" to "plugins" this should not have any significant changes to the user experience.

However: This means all our previous jails are now not compatible with jailman anymore. A reinstall is required.
As all our jails save their data in persistent storage, it would not have any side effects to just reinstall all your jails.
You can still use jailman.sh -d $jail or jailman.sh -r $jail to remove or reinstall the old jails.

However, please always make sure you create a snapshot before doing any possible destructive operations!

#### Persistence warning on Organizr
Due to bad design choices from the organizr team, we can't be 100% sure our current setup is persistent.
While we do our best, we currently can't give guarantees about it

### Different reinstall detection.
With v1.3.0 we simplyfied reinstall detection.
If a install finishes alright, it now adds a file called "INSTALLED" to the persistent config directory (by default: /apps/$jailname). As long as this file is present it will allways try to reinstall.
As your current persistent config directories do not contain this file, all reinstalls will fail. 
You can easily fix this by manually add a filled named `INSTALLED` to all the persistent config directories.

### SSL
With v1.3.0 we centralised all SSL to a traefik proxy. Traefik is a great utility to keep track of all SSL certificates and guarantees a more solid experience.
This also means we do **NOT** offer any SSL-setup ourselves anymore, but in return we fully integrated traefik into the config.yml file... so you can generate your certificates even faster than before.

We have a limited amount of developers and by using traefik, we can focus on things that mater: Stability and functionality, instead of working custom SSL config for every jail.

### Config file format
Because we simplified the internal config file structure, the config.yml structure has been simplified.
Some options have been removed and the "jail" main category has been removed.

An example what this means:
```
jail:
  sonarrjail:
     blueprint: sonarr
```

Will become:
```
sonarrjail:
   plugin: sonarr
```
Where there will be NO spaces in front of the jailname anymore.


